part of 'select_brands_bloc.dart';

abstract class SelectBrandEvent extends Equatable {
  const SelectBrandEvent();
}

class GetBrandsList extends SelectBrandEvent {
  @override
  List<Object?> get props => [];
}

class SearchBrandsFromList extends SelectBrandEvent {
  final String text;

  SearchBrandsFromList(this.text);
  @override
  List<Object?> get props => [text];
}

class GetModelList extends SelectBrandEvent {
  final int? carBrandId;

  GetModelList(this.carBrandId);
  @override
  List<Object?> get props => [carBrandId];
}

class SearchModelsFromList extends SelectBrandEvent {
  final String text;

  SearchModelsFromList(this.text);
  @override
  List<Object?> get props => [text];
}
